odf.element.CDATASection Class Reference
Inheritance diagram for odf.element.CDATASection:
[legend]
Collaboration diagram for odf.element.CDATASection:
[legend]

## Public Member Functions

def | toXml (self, level, f)
| Generate XML output of the node. More...
Public Member Functions inherited from odf.element.Text
def | __init__ (self, data)
def | __str__ (self)
def | __unicode__ (self)
def | toXml (self, level, f)
| Write XML in UTF-8. More...
Public Member Functions inherited from odf.element.Childless
def | appendChild (self, node)
| Raises an error. More...
def | hasChildNodes (self)
def | insertBefore (self, newChild, refChild)
| Raises an error. More...
def | removeChild (self, oldChild)
| Raises an error. More...
def | replaceChild (self, newChild, oldChild)
| Raises an error. More...
Public Member Functions inherited from odf.element.Node
def | hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements, whatever. More...
def | insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild. More...
def | appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node. More...
def | removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
def | __str__ (self)
def | __unicode__ (self)

## Static Public Attributes

| nodeType = Node.CDATA_SECTION_NODE
Static Public Attributes inherited from odf.element.Text
| nodeType = Node.TEXT_NODE
string | tagName = "Text"
Static Public Attributes inherited from odf.element.Childless
| attributes = None
tuple | childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None
Static Public Attributes inherited from odf.element.Node
| parentNode = None
| nextSibling = None
| previousSibling = None

## Additional Inherited Members

Public Attributes inherited from odf.element.Text
| data

## Detailed Description

Definition at line 280 of file element.py.

## Member Function Documentation

def odf.element.CDATASection.toXml | ( |  | self,
|  |  | level,
|  |  | f
| ) |  |

Generate XML output of the node.

If the text contains "]]>", then escape it by going out of CDATA mode (]]>), then write the string and then go into CDATA mode again. (<![CDATA[)

Definition at line 288 of file element.py.

## Member Data Documentation

odf.element.CDATASection.nodeType = Node.CDATA_SECTION_NODE

static

Definition at line 281 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py